ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.118 by root, Sun Nov 18 01:31:38 2007 UTC vs.
Revision 1.121 by ayin, Tue Dec 11 00:01:28 2007 UTC

658host_cpu 658host_cpu
659host_vendor 659host_vendor
660host_os 660host_os
661VERSION 661VERSION
662DATE 662DATE
663LSMDATE
664LIBVERSION
665CC 663CC
666CFLAGS 664CFLAGS
667LDFLAGS 665LDFLAGS
668CPPFLAGS 666CPPFLAGS
669ac_ct_CC 667ac_ct_CC
677INSTALL_SCRIPT 675INSTALL_SCRIPT
678INSTALL_DATA 676INSTALL_DATA
679GREP 677GREP
680EGREP 678EGREP
681LINKER 679LINKER
682INSTALL_LIBRXVT
683RXVTNAME 680RXVTNAME
684CXXCPP 681CXXCPP
685TIC 682TIC
686XMKMF 683XMKMF
687X_CFLAGS 684X_CFLAGS
1316Optional Features: 1313Optional Features:
1317 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1314 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1318 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1315 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1319 --enable-everything enable standard non-multichoice features 1316 --enable-everything enable standard non-multichoice features
1320 NOTE: this option is order dependent 1317 NOTE: this option is order dependent
1321 NOTE: automatically enabled with --enable-shared
1322 --enable-warnings turn on g++ warnings 1318 --enable-warnings turn on g++ warnings
1323 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1319 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1324 --enable-combining enable composition of base and combining characters 1320 --enable-combining enable composition of base and combining characters
1325 --enable-xft enable xft support on systems that have it 1321 --enable-xft enable xft support on systems that have it
1326 --enable-font-styles enable bold and italic support 1322 --enable-font-styles enable bold and italic support
1328 --enable-transparency enable transparent backgrounds 1324 --enable-transparency enable transparent backgrounds
1329 --enable-fading enable colors fading when off focus 1325 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1326 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1327 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1328 --enable-xterm-scroll enable Xterm style scrollbar
1329 --enable-plain-scroll enable plain style scrollbar
1333 --enable-perl enable embedded perl interpreter 1330 --enable-perl enable embedded perl interpreter
1334 --enable-plain-scroll enable plain style scrollbar
1335 --enable-xim XIM (X Input Method) protocol support 1331 --enable-xim XIM (X Input Method) protocol support
1336 --disable-backspace-key disable handling of the backspace key 1332 --disable-backspace-key disable handling of the backspace key
1337 --disable-delete-key disable handling of the delete key 1333 --disable-delete-key disable handling of the delete key
1338 --disable-resources disable all resource checking 1334 --disable-resources disable all resource checking
1339 --enable-8bitctrls enable 8 bit control sequences (not recommended) 1335 --enable-8bitctrls enable 8 bit control sequences (not recommended)
1927echo "configuring for rxvt $VERSION" 1923echo "configuring for rxvt $VERSION"
1928echo "" 1924echo ""
1929 1925
1930orig_CXXFLAGS="$CXXFLAGS" 1926orig_CXXFLAGS="$CXXFLAGS"
1931 1927
1932
1933ac_ext=c 1928ac_ext=c
1934ac_cpp='$CPP $CPPFLAGS' 1929ac_cpp='$CPP $CPPFLAGS'
1935ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 1930ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1936ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 1931ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1937ac_compiler_gnu=$ac_cv_c_compiler_gnu 1932ac_compiler_gnu=$ac_cv_c_compiler_gnu
3715echo "${ECHO_T}no" >&6; } 3710echo "${ECHO_T}no" >&6; }
3716fi 3711fi
3717rm -f conftest* 3712rm -f conftest*
3718 3713
3719 3714
3715
3716cat >>confdefs.h <<\_ACEOF
3717#define _GNU_SOURCE 1
3718_ACEOF
3719
3720
3720{ echo "$as_me:$LINENO: checking for library containing strerror" >&5 3721{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
3721echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; } 3722echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
3722if test "${ac_cv_search_strerror+set}" = set; then 3723if test "${ac_cv_search_strerror+set}" = set; then
3723 echo $ECHO_N "(cached) $ECHO_C" >&6 3724 echo $ECHO_N "(cached) $ECHO_C" >&6
3724else 3725else
3871LINKER=$LINKER 3872LINKER=$LINKER
3872 3873
3873 3874
3874if test -z "$orig_CXXFLAGS"; then 3875if test -z "$orig_CXXFLAGS"; then
3875 if test x$GCC = xyes && test "x$GXX" = xyes; then 3876 if test x$GCC = xyes && test "x$GXX" = xyes; then
3876 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3877 CXXFLAGS="-g -O3 -fno-rtti -fvisibility-inlines-hidden -fno-threadsafe-statics -fno-enforce-eh-specs"
3877 cat >conftest.$ac_ext <<_ACEOF 3878 cat >conftest.$ac_ext <<_ACEOF
3878/* confdefs.h. */ 3879/* confdefs.h. */
3879_ACEOF 3880_ACEOF
3880cat confdefs.h >>conftest.$ac_ext 3881cat confdefs.h >>conftest.$ac_ext
3881cat >>conftest.$ac_ext <<_ACEOF 3882cat >>conftest.$ac_ext <<_ACEOF
3919 CXXFLAGS="-O" 3920 CXXFLAGS="-O"
3920 fi 3921 fi
3921 CFLAGS="$CXXFLAGS" 3922 CFLAGS="$CXXFLAGS"
3922fi 3923fi
3923 3924
3924
3925cat >>confdefs.h <<\_ACEOF
3926#define _GNU_SOURCE 1
3927_ACEOF
3928
3929
3930case $host in 3925case $host in
3931 *-*-solaris* ) 3926 *-*-solaris* )
3932 3927
3933cat >>confdefs.h <<\_ACEOF 3928cat >>confdefs.h <<\_ACEOF
3934#define _XOPEN_SOURCE 500 3929#define _XOPEN_SOURCE 500
3935_ACEOF 3930_ACEOF
3936 3931
3937 ;; 3932 ;;
3938esac 3933esac
3939
3940 3934
3941{ echo "$as_me:$LINENO: checking for setlocale" >&5 3935{ echo "$as_me:$LINENO: checking for setlocale" >&5
3942echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; } 3936echo $ECHO_N "checking for setlocale... $ECHO_C" >&6; }
3943if test "${ac_cv_func_setlocale+set}" = set; then 3937if test "${ac_cv_func_setlocale+set}" = set; then
3944 echo $ECHO_N "(cached) $ECHO_C" >&6 3938 echo $ECHO_N "(cached) $ECHO_C" >&6
4417support_iso14755=yes 4411support_iso14755=yes
4418support_styles=yes 4412support_styles=yes
4419support_perl=yes 4413support_perl=yes
4420codesets=all 4414codesets=all
4421 4415
4422
4423if test "x$enable_shared" = xyes; then
4424
4425cat >>confdefs.h <<\_ACEOF
4426#define LIBRXVT 1
4427_ACEOF
4428
4429 INSTALL_LIBRXVT=yes
4430fi
4431 4416
4432 4417
4433# Check whether --enable-everything was given. 4418# Check whether --enable-everything was given.
4434if test "${enable_everything+set}" = set; then 4419if test "${enable_everything+set}" = set; then
4435 enableval=$enable_everything; 4420 enableval=$enable_everything;
4641 support_scroll_xterm=$enableval 4626 support_scroll_xterm=$enableval
4642 fi 4627 fi
4643fi 4628fi
4644 4629
4645 4630
4631# Check whether --enable-plain-scroll was given.
4632if test "${enable_plain_scroll+set}" = set; then
4633 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4634 support_scroll_plain=$enableval
4635 fi
4636fi
4637
4638
4646# Check whether --enable-perl was given. 4639# Check whether --enable-perl was given.
4647if test "${enable_perl+set}" = set; then 4640if test "${enable_perl+set}" = set; then
4648 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then 4641 enableval=$enable_perl; if test x$enableval = xyes -o x$enableval = xno; then
4649 support_perl=$enableval 4642 support_perl=$enableval
4650 fi
4651fi
4652
4653
4654# Check whether --enable-plain-scroll was given.
4655if test "${enable_plain_scroll+set}" = set; then
4656 enableval=$enable_plain_scroll; if test x$enableval = xyes -o x$enableval = xno; then
4657 support_scroll_plain=$enableval
4658 fi 4643 fi
4659fi 4644fi
4660 4645
4661 4646
4662 4647
5368 5353
5369 5354
5370 5355
5371 5356
5372 5357
5358
5359
5360
5373for ac_header in sys/epoll.h sys/event.h sys/queue.h port.h 5361for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h
5374do 5362do
5375as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 5363as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5376if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 5364if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5377 { echo "$as_me:$LINENO: checking for $ac_header" >&5 5365 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5378echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 5366echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5511 5499
5512 5500
5513 5501
5514 5502
5515 5503
5504
5505
5506
5516for ac_func in epoll_ctl kqueue port_create 5507for ac_func in inotify_init epoll_ctl kqueue port_create poll select
5517do 5508do
5518as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5509as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5519{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5510{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5520echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 5511echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5521if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 5512if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5762 5753
5763 LIBS="-lrt $LIBS" 5754 LIBS="-lrt $LIBS"
5764 5755
5765fi 5756fi
5766 5757
5758 unset ac_cv_func_clock_gettime
5767 5759
5768for ac_func in clock_gettime 5760for ac_func in clock_gettime
5769do 5761do
5770as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5762as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5771{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5763{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5977echo "${ECHO_T}$TIC" >&6; } 5969echo "${ECHO_T}$TIC" >&6; }
5978else 5970else
5979 { echo "$as_me:$LINENO: result: no" >&5 5971 { echo "$as_me:$LINENO: result: no" >&5
5980echo "${ECHO_T}no" >&6; } 5972echo "${ECHO_T}no" >&6; }
5981fi 5973fi
5982
5983
5984 5974
5985 5975
5986 5976
5987{ echo "$as_me:$LINENO: checking for X" >&5 5977{ echo "$as_me:$LINENO: checking for X" >&5
5988echo $ECHO_N "checking for X... $ECHO_C" >&6; } 5978echo $ECHO_N "checking for X... $ECHO_C" >&6; }
7375echo "${ECHO_T}no" >&6; } 7365echo "${ECHO_T}no" >&6; }
7376 fi 7366 fi
7377 fi 7367 fi
7378fi 7368fi
7379 7369
7380{ echo "$as_me:$LINENO: checking for sys/wait.h that is POSIX.1 compatible" >&5
7381echo $ECHO_N "checking for sys/wait.h that is POSIX.1 compatible... $ECHO_C" >&6; }
7382if test "${ac_cv_header_sys_wait_h+set}" = set; then
7383 echo $ECHO_N "(cached) $ECHO_C" >&6
7384else
7385 cat >conftest.$ac_ext <<_ACEOF
7386/* confdefs.h. */
7387_ACEOF
7388cat confdefs.h >>conftest.$ac_ext
7389cat >>conftest.$ac_ext <<_ACEOF
7390/* end confdefs.h. */
7391#include <sys/types.h>
7392#include <sys/wait.h>
7393#ifndef WEXITSTATUS
7394# define WEXITSTATUS(stat_val) ((unsigned int) (stat_val) >> 8)
7395#endif
7396#ifndef WIFEXITED
7397# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
7398#endif
7399
7400int
7401main ()
7402{
7403 int s;
7404 wait (&s);
7405 s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
7406 ;
7407 return 0;
7408}
7409_ACEOF
7410rm -f conftest.$ac_objext
7411if { (ac_try="$ac_compile"
7412case "(($ac_try" in
7413 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7414 *) ac_try_echo=$ac_try;;
7415esac
7416eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7417 (eval "$ac_compile") 2>conftest.er1
7418 ac_status=$?
7419 grep -v '^ *+' conftest.er1 >conftest.err
7420 rm -f conftest.er1
7421 cat conftest.err >&5
7422 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7423 (exit $ac_status); } && {
7424 test -z "$ac_cxx_werror_flag" ||
7425 test ! -s conftest.err
7426 } && test -s conftest.$ac_objext; then
7427 ac_cv_header_sys_wait_h=yes
7428else
7429 echo "$as_me: failed program was:" >&5
7430sed 's/^/| /' conftest.$ac_ext >&5
7431
7432 ac_cv_header_sys_wait_h=no
7433fi
7434
7435rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7436fi
7437{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_wait_h" >&5
7438echo "${ECHO_T}$ac_cv_header_sys_wait_h" >&6; }
7439if test $ac_cv_header_sys_wait_h = yes; then
7440
7441cat >>confdefs.h <<\_ACEOF
7442#define HAVE_SYS_WAIT_H 1
7443_ACEOF
7444
7445fi
7446
7447 7370
7448 7371
7449 7372
7450 7373
7451 7374
7617fi 7540fi
7618 7541
7619done 7542done
7620 7543
7621 7544
7622{ echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
7623echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6; }
7624if test "${ac_cv_header_time+set}" = set; then
7625 echo $ECHO_N "(cached) $ECHO_C" >&6
7626else
7627 cat >conftest.$ac_ext <<_ACEOF
7628/* confdefs.h. */
7629_ACEOF
7630cat confdefs.h >>conftest.$ac_ext
7631cat >>conftest.$ac_ext <<_ACEOF
7632/* end confdefs.h. */
7633#include <sys/types.h>
7634#include <sys/time.h>
7635#include <time.h>
7636
7637int
7638main ()
7639{
7640if ((struct tm *) 0)
7641return 0;
7642 ;
7643 return 0;
7644}
7645_ACEOF
7646rm -f conftest.$ac_objext
7647if { (ac_try="$ac_compile"
7648case "(($ac_try" in
7649 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7650 *) ac_try_echo=$ac_try;;
7651esac
7652eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7653 (eval "$ac_compile") 2>conftest.er1
7654 ac_status=$?
7655 grep -v '^ *+' conftest.er1 >conftest.err
7656 rm -f conftest.er1
7657 cat conftest.err >&5
7658 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7659 (exit $ac_status); } && {
7660 test -z "$ac_cxx_werror_flag" ||
7661 test ! -s conftest.err
7662 } && test -s conftest.$ac_objext; then
7663 ac_cv_header_time=yes
7664else
7665 echo "$as_me: failed program was:" >&5
7666sed 's/^/| /' conftest.$ac_ext >&5
7667
7668 ac_cv_header_time=no
7669fi
7670
7671rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7672fi
7673{ echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
7674echo "${ECHO_T}$ac_cv_header_time" >&6; }
7675if test $ac_cv_header_time = yes; then
7676
7677cat >>confdefs.h <<\_ACEOF
7678#define TIME_WITH_SYS_TIME 1
7679_ACEOF
7680
7681fi
7682
7683
7684{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5 7545{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5
7685echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; } 7546echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; }
7686if test "${rxvt_cv_header_sysioctl+set}" = set; then 7547if test "${rxvt_cv_header_sysioctl+set}" = set; then
7687 echo $ECHO_N "(cached) $ECHO_C" >&6 7548 echo $ECHO_N "(cached) $ECHO_C" >&6
7688else 7549else
7853cat >>confdefs.h <<\_ACEOF 7714cat >>confdefs.h <<\_ACEOF
7854#define XLIB_ILLEGAL_ACCESS 1 7715#define XLIB_ILLEGAL_ACCESS 1
7855_ACEOF 7716_ACEOF
7856 7717
7857fi 7718fi
7858
7859{ echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
7860echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6; }
7861if test "${ac_cv_c_const+set}" = set; then
7862 echo $ECHO_N "(cached) $ECHO_C" >&6
7863else
7864 cat >conftest.$ac_ext <<_ACEOF
7865/* confdefs.h. */
7866_ACEOF
7867cat confdefs.h >>conftest.$ac_ext
7868cat >>conftest.$ac_ext <<_ACEOF
7869/* end confdefs.h. */
7870
7871int
7872main ()
7873{
7874/* FIXME: Include the comments suggested by Paul. */
7875#ifndef __cplusplus
7876 /* Ultrix mips cc rejects this. */
7877 typedef int charset[2];
7878 const charset cs;
7879 /* SunOS 4.1.1 cc rejects this. */
7880 char const *const *pcpcc;
7881 char **ppc;
7882 /* NEC SVR4.0.2 mips cc rejects this. */
7883 struct point {int x, y;};
7884 static struct point const zero = {0,0};
7885 /* AIX XL C 1.02.0.0 rejects this.
7886 It does not let you subtract one const X* pointer from another in
7887 an arm of an if-expression whose if-part is not a constant
7888 expression */
7889 const char *g = "string";
7890 pcpcc = &g + (g ? g-g : 0);
7891 /* HPUX 7.0 cc rejects these. */
7892 ++pcpcc;
7893 ppc = (char**) pcpcc;
7894 pcpcc = (char const *const *) ppc;
7895 { /* SCO 3.2v4 cc rejects this. */
7896 char *t;
7897 char const *s = 0 ? (char *) 0 : (char const *) 0;
7898
7899 *t++ = 0;
7900 if (s) return 0;
7901 }
7902 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
7903 int x[] = {25, 17};
7904 const int *foo = &x[0];
7905 ++foo;
7906 }
7907 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
7908 typedef const int *iptr;
7909 iptr p = 0;
7910 ++p;
7911 }
7912 { /* AIX XL C 1.02.0.0 rejects this saying
7913 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
7914 struct s { int j; const int *ap[3]; };
7915 struct s *b; b->j = 5;
7916 }
7917 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
7918 const int foo = 10;
7919 if (!foo) return 0;
7920 }
7921 return !cs[0] && !zero.x;
7922#endif
7923
7924 ;
7925 return 0;
7926}
7927_ACEOF
7928rm -f conftest.$ac_objext
7929if { (ac_try="$ac_compile"
7930case "(($ac_try" in
7931 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7932 *) ac_try_echo=$ac_try;;
7933esac
7934eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7935 (eval "$ac_compile") 2>conftest.er1
7936 ac_status=$?
7937 grep -v '^ *+' conftest.er1 >conftest.err
7938 rm -f conftest.er1
7939 cat conftest.err >&5
7940 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7941 (exit $ac_status); } && {
7942 test -z "$ac_cxx_werror_flag" ||
7943 test ! -s conftest.err
7944 } && test -s conftest.$ac_objext; then
7945 ac_cv_c_const=yes
7946else
7947 echo "$as_me: failed program was:" >&5
7948sed 's/^/| /' conftest.$ac_ext >&5
7949
7950 ac_cv_c_const=no
7951fi
7952
7953rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7954fi
7955{ echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
7956echo "${ECHO_T}$ac_cv_c_const" >&6; }
7957if test $ac_cv_c_const = no; then
7958
7959cat >>confdefs.h <<\_ACEOF
7960#define const
7961_ACEOF
7962
7963fi
7964
7965{ echo "$as_me:$LINENO: checking for inline" >&5
7966echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
7967if test "${ac_cv_c_inline+set}" = set; then
7968 echo $ECHO_N "(cached) $ECHO_C" >&6
7969else
7970 ac_cv_c_inline=no
7971for ac_kw in inline __inline__ __inline; do
7972 cat >conftest.$ac_ext <<_ACEOF
7973/* confdefs.h. */
7974_ACEOF
7975cat confdefs.h >>conftest.$ac_ext
7976cat >>conftest.$ac_ext <<_ACEOF
7977/* end confdefs.h. */
7978#ifndef __cplusplus
7979typedef int foo_t;
7980static $ac_kw foo_t static_foo () {return 0; }
7981$ac_kw foo_t foo () {return 0; }
7982#endif
7983
7984_ACEOF
7985rm -f conftest.$ac_objext
7986if { (ac_try="$ac_compile"
7987case "(($ac_try" in
7988 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7989 *) ac_try_echo=$ac_try;;
7990esac
7991eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7992 (eval "$ac_compile") 2>conftest.er1
7993 ac_status=$?
7994 grep -v '^ *+' conftest.er1 >conftest.err
7995 rm -f conftest.er1
7996 cat conftest.err >&5
7997 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7998 (exit $ac_status); } && {
7999 test -z "$ac_cxx_werror_flag" ||
8000 test ! -s conftest.err
8001 } && test -s conftest.$ac_objext; then
8002 ac_cv_c_inline=$ac_kw
8003else
8004 echo "$as_me: failed program was:" >&5
8005sed 's/^/| /' conftest.$ac_ext >&5
8006
8007
8008fi
8009
8010rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8011 test "$ac_cv_c_inline" != no && break
8012done
8013
8014fi
8015{ echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
8016echo "${ECHO_T}$ac_cv_c_inline" >&6; }
8017
8018
8019case $ac_cv_c_inline in
8020 inline | yes) ;;
8021 *)
8022 case $ac_cv_c_inline in
8023 no) ac_val=;;
8024 *) ac_val=$ac_cv_c_inline;;
8025 esac
8026 cat >>confdefs.h <<_ACEOF
8027#ifndef __cplusplus
8028#define inline $ac_val
8029#endif
8030_ACEOF
8031 ;;
8032esac
8033
8034
8035 7719
8036{ echo "$as_me:$LINENO: checking for mode_t" >&5 7720{ echo "$as_me:$LINENO: checking for mode_t" >&5
8037echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; } 7721echo $ECHO_N "checking for mode_t... $ECHO_C" >&6; }
8038if test "${ac_cv_type_mode_t+set}" = set; then 7722if test "${ac_cv_type_mode_t+set}" = set; then
8039 echo $ECHO_N "(cached) $ECHO_C" >&6 7723 echo $ECHO_N "(cached) $ECHO_C" >&6
10154 fi 9838 fi
10155fi 9839fi
10156 9840
10157 9841
10158 9842
10159{ echo "$as_me:$LINENO: checking return type of signal handlers" >&5
10160echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6; }
10161if test "${ac_cv_type_signal+set}" = set; then
10162 echo $ECHO_N "(cached) $ECHO_C" >&6
10163else
10164 cat >conftest.$ac_ext <<_ACEOF
10165/* confdefs.h. */
10166_ACEOF
10167cat confdefs.h >>conftest.$ac_ext
10168cat >>conftest.$ac_ext <<_ACEOF
10169/* end confdefs.h. */
10170#include <sys/types.h>
10171#include <signal.h>
10172
10173int
10174main ()
10175{
10176return *(signal (0, 0)) (0) == 1;
10177 ;
10178 return 0;
10179}
10180_ACEOF
10181rm -f conftest.$ac_objext
10182if { (ac_try="$ac_compile"
10183case "(($ac_try" in
10184 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10185 *) ac_try_echo=$ac_try;;
10186esac
10187eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10188 (eval "$ac_compile") 2>conftest.er1
10189 ac_status=$?
10190 grep -v '^ *+' conftest.er1 >conftest.err
10191 rm -f conftest.er1
10192 cat conftest.err >&5
10193 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10194 (exit $ac_status); } && {
10195 test -z "$ac_cxx_werror_flag" ||
10196 test ! -s conftest.err
10197 } && test -s conftest.$ac_objext; then
10198 ac_cv_type_signal=int
10199else
10200 echo "$as_me: failed program was:" >&5
10201sed 's/^/| /' conftest.$ac_ext >&5
10202
10203 ac_cv_type_signal=void
10204fi
10205
10206rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10207fi
10208{ echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5
10209echo "${ECHO_T}$ac_cv_type_signal" >&6; }
10210
10211cat >>confdefs.h <<_ACEOF
10212#define RETSIGTYPE $ac_cv_type_signal
10213_ACEOF
10214
10215
10216
10217 9843
10218for ac_func in unsetenv 9844for ac_func in unsetenv
10219do 9845do
10220as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 9846as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10221{ echo "$as_me:$LINENO: checking for $ac_func" >&5 9847{ echo "$as_me:$LINENO: checking for $ac_func" >&5
10460fi 10086fi
10461done 10087done
10462 10088
10463 10089
10464 10090
10465
10466
10467for ac_header in \ 10091for ac_header in lastlog.h
10468 utmp.h \
10469 utmpx.h \
10470 lastlog.h \
10471
10472do 10092do
10473as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 10093as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10474if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 10094if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10475 { echo "$as_me:$LINENO: checking for $ac_header" >&5 10095 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10476echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 10096echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10607 10227
10608done 10228done
10609 10229
10610 10230
10611 10231
10612if test "${ac_cv_header_utmp_h+set}" = set; then 10232
10233for ac_header in utmp.h
10234do
10235as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10236if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10613 { echo "$as_me:$LINENO: checking for utmp.h" >&5 10237 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10614echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10238echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10615if test "${ac_cv_header_utmp_h+set}" = set; then 10239if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10616 echo $ECHO_N "(cached) $ECHO_C" >&6 10240 echo $ECHO_N "(cached) $ECHO_C" >&6
10617fi 10241fi
10242ac_res=`eval echo '${'$as_ac_Header'}'`
10618{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10243 { echo "$as_me:$LINENO: result: $ac_res" >&5
10619echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10244echo "${ECHO_T}$ac_res" >&6; }
10620else 10245else
10621 # Is the header compilable? 10246 # Is the header compilable?
10622{ echo "$as_me:$LINENO: checking utmp.h usability" >&5 10247{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10623echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; } 10248echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10624cat >conftest.$ac_ext <<_ACEOF 10249cat >conftest.$ac_ext <<_ACEOF
10625/* confdefs.h. */ 10250/* confdefs.h. */
10626_ACEOF 10251_ACEOF
10627cat confdefs.h >>conftest.$ac_ext 10252cat confdefs.h >>conftest.$ac_ext
10628cat >>conftest.$ac_ext <<_ACEOF 10253cat >>conftest.$ac_ext <<_ACEOF
10629/* end confdefs.h. */ 10254/* end confdefs.h. */
10630$ac_includes_default 10255$ac_includes_default
10631#include <utmp.h> 10256#include <$ac_header>
10632_ACEOF 10257_ACEOF
10633rm -f conftest.$ac_objext 10258rm -f conftest.$ac_objext
10634if { (ac_try="$ac_compile" 10259if { (ac_try="$ac_compile"
10635case "(($ac_try" in 10260case "(($ac_try" in
10636 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10261 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10658rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10283rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10659{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10284{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10660echo "${ECHO_T}$ac_header_compiler" >&6; } 10285echo "${ECHO_T}$ac_header_compiler" >&6; }
10661 10286
10662# Is the header present? 10287# Is the header present?
10663{ echo "$as_me:$LINENO: checking utmp.h presence" >&5 10288{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10664echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; } 10289echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10665cat >conftest.$ac_ext <<_ACEOF 10290cat >conftest.$ac_ext <<_ACEOF
10666/* confdefs.h. */ 10291/* confdefs.h. */
10667_ACEOF 10292_ACEOF
10668cat confdefs.h >>conftest.$ac_ext 10293cat confdefs.h >>conftest.$ac_ext
10669cat >>conftest.$ac_ext <<_ACEOF 10294cat >>conftest.$ac_ext <<_ACEOF
10670/* end confdefs.h. */ 10295/* end confdefs.h. */
10671#include <utmp.h> 10296#include <$ac_header>
10672_ACEOF 10297_ACEOF
10673if { (ac_try="$ac_cpp conftest.$ac_ext" 10298if { (ac_try="$ac_cpp conftest.$ac_ext"
10674case "(($ac_try" in 10299case "(($ac_try" in
10675 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10300 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10676 *) ac_try_echo=$ac_try;; 10301 *) ac_try_echo=$ac_try;;
10699echo "${ECHO_T}$ac_header_preproc" >&6; } 10324echo "${ECHO_T}$ac_header_preproc" >&6; }
10700 10325
10701# So? What about this header? 10326# So? What about this header?
10702case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10327case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10703 yes:no: ) 10328 yes:no: )
10704 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5 10329 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10705echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10330echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10706 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5 10331 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10707echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;} 10332echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10708 ac_header_preproc=yes 10333 ac_header_preproc=yes
10709 ;; 10334 ;;
10710 no:yes:* ) 10335 no:yes:* )
10711 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5 10336 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10712echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;} 10337echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10713 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5 10338 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10714echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;} 10339echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10715 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5 10340 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10716echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;} 10341echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10717 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5 10342 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10718echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;} 10343echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10719 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5 10344 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10720echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;} 10345echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10721 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5 10346 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10722echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;} 10347echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10723 10348
10724 ;; 10349 ;;
10725esac 10350esac
10726{ echo "$as_me:$LINENO: checking for utmp.h" >&5 10351{ echo "$as_me:$LINENO: checking for $ac_header" >&5
10727echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 10352echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10728if test "${ac_cv_header_utmp_h+set}" = set; then 10353if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10729 echo $ECHO_N "(cached) $ECHO_C" >&6 10354 echo $ECHO_N "(cached) $ECHO_C" >&6
10730else 10355else
10731 ac_cv_header_utmp_h=$ac_header_preproc 10356 eval "$as_ac_Header=\$ac_header_preproc"
10732fi 10357fi
10358ac_res=`eval echo '${'$as_ac_Header'}'`
10733{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 10359 { echo "$as_me:$LINENO: result: $ac_res" >&5
10734echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 10360echo "${ECHO_T}$ac_res" >&6; }
10735 10361
10736fi 10362fi
10737if test $ac_cv_header_utmp_h = yes; then 10363if test `eval echo '${'$as_ac_Header'}'` = yes; then
10364 cat >>confdefs.h <<_ACEOF
10365#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10366_ACEOF
10738 { echo "$as_me:$LINENO: checking for struct utmp" >&5 10367 { echo "$as_me:$LINENO: checking for struct utmp" >&5
10739echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 10368echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
10740if test "${struct_utmp+set}" = set; then 10369if test "${struct_utmp+set}" = set; then
10741 echo $ECHO_N "(cached) $ECHO_C" >&6 10370 echo $ECHO_N "(cached) $ECHO_C" >&6
10742else 10371else
10743 cat >conftest.$ac_ext <<_ACEOF 10372 cat >conftest.$ac_ext <<_ACEOF
10910 10539
10911fi 10540fi
10912 10541
10913fi 10542fi
10914 10543
10544done
10915 10545
10916 10546
10917if test "${ac_cv_header_utmpx_h+set}" = set; then 10547
10548for ac_header in utmpx.h
10549do
10550as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10551if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10918 { echo "$as_me:$LINENO: checking for utmpx.h" >&5 10552 { echo "$as_me:$LINENO: checking for $ac_header" >&5
10919echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10553echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
10920if test "${ac_cv_header_utmpx_h+set}" = set; then 10554if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
10921 echo $ECHO_N "(cached) $ECHO_C" >&6 10555 echo $ECHO_N "(cached) $ECHO_C" >&6
10922fi 10556fi
10557ac_res=`eval echo '${'$as_ac_Header'}'`
10923{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10558 { echo "$as_me:$LINENO: result: $ac_res" >&5
10924echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10559echo "${ECHO_T}$ac_res" >&6; }
10925else 10560else
10926 # Is the header compilable? 10561 # Is the header compilable?
10927{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5 10562{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
10928echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; } 10563echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
10929cat >conftest.$ac_ext <<_ACEOF 10564cat >conftest.$ac_ext <<_ACEOF
10930/* confdefs.h. */ 10565/* confdefs.h. */
10931_ACEOF 10566_ACEOF
10932cat confdefs.h >>conftest.$ac_ext 10567cat confdefs.h >>conftest.$ac_ext
10933cat >>conftest.$ac_ext <<_ACEOF 10568cat >>conftest.$ac_ext <<_ACEOF
10934/* end confdefs.h. */ 10569/* end confdefs.h. */
10935$ac_includes_default 10570$ac_includes_default
10936#include <utmpx.h> 10571#include <$ac_header>
10937_ACEOF 10572_ACEOF
10938rm -f conftest.$ac_objext 10573rm -f conftest.$ac_objext
10939if { (ac_try="$ac_compile" 10574if { (ac_try="$ac_compile"
10940case "(($ac_try" in 10575case "(($ac_try" in
10941 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10576 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10963rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 10598rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
10964{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 10599{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10965echo "${ECHO_T}$ac_header_compiler" >&6; } 10600echo "${ECHO_T}$ac_header_compiler" >&6; }
10966 10601
10967# Is the header present? 10602# Is the header present?
10968{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5 10603{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
10969echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; } 10604echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
10970cat >conftest.$ac_ext <<_ACEOF 10605cat >conftest.$ac_ext <<_ACEOF
10971/* confdefs.h. */ 10606/* confdefs.h. */
10972_ACEOF 10607_ACEOF
10973cat confdefs.h >>conftest.$ac_ext 10608cat confdefs.h >>conftest.$ac_ext
10974cat >>conftest.$ac_ext <<_ACEOF 10609cat >>conftest.$ac_ext <<_ACEOF
10975/* end confdefs.h. */ 10610/* end confdefs.h. */
10976#include <utmpx.h> 10611#include <$ac_header>
10977_ACEOF 10612_ACEOF
10978if { (ac_try="$ac_cpp conftest.$ac_ext" 10613if { (ac_try="$ac_cpp conftest.$ac_ext"
10979case "(($ac_try" in 10614case "(($ac_try" in
10980 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 10615 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10981 *) ac_try_echo=$ac_try;; 10616 *) ac_try_echo=$ac_try;;
11004echo "${ECHO_T}$ac_header_preproc" >&6; } 10639echo "${ECHO_T}$ac_header_preproc" >&6; }
11005 10640
11006# So? What about this header? 10641# So? What about this header?
11007case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 10642case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
11008 yes:no: ) 10643 yes:no: )
11009 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5 10644 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
11010echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 10645echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
11011 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5 10646 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
11012echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;} 10647echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
11013 ac_header_preproc=yes 10648 ac_header_preproc=yes
11014 ;; 10649 ;;
11015 no:yes:* ) 10650 no:yes:* )
11016 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5 10651 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
11017echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;} 10652echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
11018 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5 10653 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
11019echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;} 10654echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
11020 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5 10655 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
11021echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;} 10656echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
11022 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5 10657 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
11023echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;} 10658echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
11024 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5 10659 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
11025echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;} 10660echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
11026 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5 10661 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
11027echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;} 10662echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
11028 10663
11029 ;; 10664 ;;
11030esac 10665esac
11031{ echo "$as_me:$LINENO: checking for utmpx.h" >&5 10666{ echo "$as_me:$LINENO: checking for $ac_header" >&5
11032echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 10667echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11033if test "${ac_cv_header_utmpx_h+set}" = set; then 10668if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11034 echo $ECHO_N "(cached) $ECHO_C" >&6 10669 echo $ECHO_N "(cached) $ECHO_C" >&6
11035else 10670else
11036 ac_cv_header_utmpx_h=$ac_header_preproc 10671 eval "$as_ac_Header=\$ac_header_preproc"
11037fi 10672fi
10673ac_res=`eval echo '${'$as_ac_Header'}'`
11038{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 10674 { echo "$as_me:$LINENO: result: $ac_res" >&5
11039echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 10675echo "${ECHO_T}$ac_res" >&6; }
11040 10676
11041fi 10677fi
11042if test $ac_cv_header_utmpx_h = yes; then 10678if test `eval echo '${'$as_ac_Header'}'` = yes; then
10679 cat >>confdefs.h <<_ACEOF
10680#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10681_ACEOF
11043 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 10682 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
11044echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 10683echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
11045if test "${struct_utmpx+set}" = set; then 10684if test "${struct_utmpx+set}" = set; then
11046 echo $ECHO_N "(cached) $ECHO_C" >&6 10685 echo $ECHO_N "(cached) $ECHO_C" >&6
11047else 10686else
11048 cat >conftest.$ac_ext <<_ACEOF 10687 cat >conftest.$ac_ext <<_ACEOF
11215 10854
11216fi 10855fi
11217 10856
11218fi 10857fi
11219 10858
10859done
11220 10860
11221{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 10861{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
11222echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 10862echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
11223if test "${struct_lastlog+set}" = set; then 10863if test "${struct_lastlog+set}" = set; then
11224 echo $ECHO_N "(cached) $ECHO_C" >&6 10864 echo $ECHO_N "(cached) $ECHO_C" >&6
14372host_cpu!$host_cpu$ac_delim 14012host_cpu!$host_cpu$ac_delim
14373host_vendor!$host_vendor$ac_delim 14013host_vendor!$host_vendor$ac_delim
14374host_os!$host_os$ac_delim 14014host_os!$host_os$ac_delim
14375VERSION!$VERSION$ac_delim 14015VERSION!$VERSION$ac_delim
14376DATE!$DATE$ac_delim 14016DATE!$DATE$ac_delim
14377LSMDATE!$LSMDATE$ac_delim
14378LIBVERSION!$LIBVERSION$ac_delim
14379CC!$CC$ac_delim 14017CC!$CC$ac_delim
14380CFLAGS!$CFLAGS$ac_delim 14018CFLAGS!$CFLAGS$ac_delim
14381LDFLAGS!$LDFLAGS$ac_delim 14019LDFLAGS!$LDFLAGS$ac_delim
14382CPPFLAGS!$CPPFLAGS$ac_delim 14020CPPFLAGS!$CPPFLAGS$ac_delim
14383ac_ct_CC!$ac_ct_CC$ac_delim 14021ac_ct_CC!$ac_ct_CC$ac_delim
14391INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 14029INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
14392INSTALL_DATA!$INSTALL_DATA$ac_delim 14030INSTALL_DATA!$INSTALL_DATA$ac_delim
14393GREP!$GREP$ac_delim 14031GREP!$GREP$ac_delim
14394EGREP!$EGREP$ac_delim 14032EGREP!$EGREP$ac_delim
14395LINKER!$LINKER$ac_delim 14033LINKER!$LINKER$ac_delim
14396INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
14397RXVTNAME!$RXVTNAME$ac_delim 14034RXVTNAME!$RXVTNAME$ac_delim
14398CXXCPP!$CXXCPP$ac_delim 14035CXXCPP!$CXXCPP$ac_delim
14399TIC!$TIC$ac_delim 14036TIC!$TIC$ac_delim
14400XMKMF!$XMKMF$ac_delim 14037XMKMF!$XMKMF$ac_delim
14401X_CFLAGS!$X_CFLAGS$ac_delim 14038X_CFLAGS!$X_CFLAGS$ac_delim
14422include_stdint_h!$include_stdint_h$ac_delim 14059include_stdint_h!$include_stdint_h$ac_delim
14423include_stdarg_h!$include_stdarg_h$ac_delim 14060include_stdarg_h!$include_stdarg_h$ac_delim
14424include_stdlib_h!$include_stdlib_h$ac_delim 14061include_stdlib_h!$include_stdlib_h$ac_delim
14425include_unistd_h!$include_unistd_h$ac_delim 14062include_unistd_h!$include_unistd_h$ac_delim
14426include_string_h!$include_string_h$ac_delim 14063include_string_h!$include_string_h$ac_delim
14064include_fcntl_h!$include_fcntl_h$ac_delim
14065include_util_h!$include_util_h$ac_delim
14066include_assert_h!$include_assert_h$ac_delim
14427_ACEOF 14067_ACEOF
14428 14068
14429 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 14069 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14430 break 14070 break
14431 elif $ac_last_try; then 14071 elif $ac_last_try; then
14463 14103
14464 14104
14465ac_delim='%!_!# ' 14105ac_delim='%!_!# '
14466for ac_last_try in false false false false false :; do 14106for ac_last_try in false false false false false :; do
14467 cat >conf$$subs.sed <<_ACEOF 14107 cat >conf$$subs.sed <<_ACEOF
14468include_fcntl_h!$include_fcntl_h$ac_delim
14469include_util_h!$include_util_h$ac_delim
14470include_assert_h!$include_assert_h$ac_delim
14471include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim 14108include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
14472include_sys_select_h!$include_sys_select_h$ac_delim 14109include_sys_select_h!$include_sys_select_h$ac_delim
14473include_sys_strredir_h!$include_sys_strredir_h$ac_delim 14110include_sys_strredir_h!$include_sys_strredir_h$ac_delim
14474include_sys_time_h!$include_sys_time_h$ac_delim 14111include_sys_time_h!$include_sys_time_h$ac_delim
14475include_time_h!$include_time_h$ac_delim 14112include_time_h!$include_time_h$ac_delim
14476LIBOBJS!$LIBOBJS$ac_delim 14113LIBOBJS!$LIBOBJS$ac_delim
14477LTLIBOBJS!$LTLIBOBJS$ac_delim 14114LTLIBOBJS!$LTLIBOBJS$ac_delim
14478_ACEOF 14115_ACEOF
14479 14116
14480 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 10; then 14117 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 7; then
14481 break 14118 break
14482 elif $ac_last_try; then 14119 elif $ac_last_try; then
14483 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 14120 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14484echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 14121echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14485 { (exit 1); exit 1; }; } 14122 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines